/**
 * 硬垫片，根据 document.body 和 选择器获取指定的 do'm
 * 由于 micro-app 一些原因，比如 vue 的 teleport 有可能会被挂载到基座上，导致没办法在子应用使用 document.body.querySelector 获取到元素
 * 需要从基座上找到
 */
declare global {
  interface Window {
    rawWindow?: Window;
  }
}
export default function getDomPolyfill(selectors: string) {
  let targetEL: HTMLElement | null = document.body.querySelector(selectors);
  if (!targetEL)
    targetEL =
      window?.rawWindow?.document.body.querySelector(selectors) || null;
  return targetEL;
}
